List Users
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "user_FgEAjOw6riObJdy81s2yZXdqZNiAV1pM",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Sammy",
"last_name": "Jones",
"projects": {
"proj_9KeAhZB1": "USER",
"proj_npnFzPr9": "USER",
"proj_pEP3NO9s": "USER",
"proj_zsPdrUIw": "ADMIN"
},
"is_owner": false
},
{
"id": "user_11sYvPrOj3XE573FO1cAzzk1p4k92wLL",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Alex",
"last_name": "Smith",
"projects": {
"proj_3CNHbOe0": "ADMIN"
},
"is_owner": true
}
],
"total": 2
}List Users
Lists all users assigned to the project.
GET
/
management
/
v1
/
projects
/
{projectId}
/
users
List Users
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/users \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>'{
"object": "list",
"data_ref": "data",
"data": [
{
"id": "user_FgEAjOw6riObJdy81s2yZXdqZNiAV1pM",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Sammy",
"last_name": "Jones",
"projects": {
"proj_9KeAhZB1": "USER",
"proj_npnFzPr9": "USER",
"proj_pEP3NO9s": "USER",
"proj_zsPdrUIw": "ADMIN"
},
"is_owner": false
},
{
"id": "user_11sYvPrOj3XE573FO1cAzzk1p4k92wLL",
"login": "name@youremaildomain.com",
"email": "name@youremaildomain.com",
"first_name": "Alex",
"last_name": "Smith",
"projects": {
"proj_3CNHbOe0": "ADMIN"
},
"is_owner": true
}
],
"total": 2
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Response
Returns the list of all the users assigned to the project.
Object containing a list of users assigned to the project.
The type of the object represented by JSON. This object stores information about the users in a dictionary.
Available options:
list Identifies the name of the attribute that contains the array of user objects.
Available options:
data Array of user objects.
Show child attributes
Show child attributes
The total number of users.
Last modified on May 11, 2026
Was this page helpful?
⌘I

